# accounts
A self-service web application for [Mail-in-a-box](https://mailinabox.email/).  
We run it here: https://accounts.socialnerds.org


It is a very simple web application for users to manage their Mail-in-a-box account. I wrote this as a python/bottlepy learning project and to service users at my own Mail-in-a-box. There might be more features in the future.


**Features**
* Login with Mail-in-a-box account
* Change password
* Manage email aliases
* Delete own account (softdelete)



## Installation
You need python installed (v3 or v2). Needed modules: requests, configparser, bottle(or just download bottlepy like below)
```
git clone git@socialg.it:socialnerds.org/accounts.git
cd accounts
wget https://raw.githubusercontent.com/bottlepy/bottle/0.12.10/bottle.py
```
Configure your app by renaming `app.conf.sample` into `app.conf` and edit accordingly.  
Start it with:
```
python3 app.py
```
You should be able to see the login page at http://localhost:8000.



## Deployment
If you want to host this somewhere more prominent following links could help: (someday i might write up some real documentation)  
* https://www.digitalocean.com/community/tutorials/how-to-use-apache-http-server-as-reverse-proxy-using-mod_proxy-extension
* http://unix.stackexchange.com/questions/47695/how-to-write-startup-script-for-systemd
